%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcname SimpleTAL

Name:           python-simpletal
Version:        4.2
Release:        1%{?dist}

Summary:        An XML based template processor for TAL, TALES and METAL specifications

Group:          Development/Libraries
License:        BSD
URL:            http://www.owlfish.com/software/simpleTAL/index.html
Source0:        http://www.owlfish.com/software/simpleTAL/downloads/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel


%description
SimpleTAL is a stand alone Python implementation of the TAL, TALES and
METAL specifications used in Zope to power HTML and XML templates.


%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# remove x-bits from example files
find examples -name '*.py' -exec chmod -x {} \;


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes.txt LICENSE.txt README.txt examples/
%dir %{python_sitelib}/simpletal
%{python_sitelib}/simpletal/*.py
%{python_sitelib}/simpletal/*.pyc
%{python_sitelib}/simpletal/*.pyo
%{python_sitelib}/SimpleTAL-%{version}-py*.egg-info


%changelog
* Fri Aug 14 2009 Thomas Moschny <thomas.moschny@gmx.de> - 4.2-1
- Update to 4.2, a (not fully backwards compatible) bugfix release.
- Minor specfile cosmetics.
- Remove execute bits from example scripts.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 4.1-9
- Rebuild for Python 2.6

* Mon Sep 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-8
- fix missing egg-info

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-7
- drop old abi Requires

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-6
- fix license tag

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 4.1-5
- Rebuild with Python 2.5

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 4.1-4
- Rebuild for FC6

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 4.1-3
- Include, don't ghost .pyo files per new guidelines

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 4.1-2
- Rebuild for FC5

* Mon Jan 30 2006 Shahms E. King <shahms@shahms.com> 4.1-1
- Update to new upstream version 4.1

* Thu Oct 06 2005 Shahms E. King <shahms@shahms.com> 3.13-1
- use srcname and version in Source URL
- update to new upstream version

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 3.12-4
- rebuilt, add dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 3.12-2 -
- Misc cleanups

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 3.12-1 -
- Update to 3.12
- Clean up spec file

* Mon Dec 06 2004 Shahms E. King <shahms@shahms.com> -
- Update to 3.11

* Thu May 27 2004 Shahms King <shahms@shahms.com> -
- Initial Release

